<?php
namespace Webshop\Product;

/**
 * Interface ProductGatewayInterface
 *
 * @package Webshop\Product
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-product
 */
interface ProductGatewayInterface
{
    /**
     * @param int $id
     * @return null|ProductInterface
     */
    public function find(int $id): ?ProductInterface;

    /**
     * @param array $ids
     * @return ProductInterface[]
     */
    public function findByIds(array $ids): array;
}